Page MenuHomePhabricator

Post message to WLM participants who have not registered an email address
Closed, ResolvedPublic

Description

A condition to win anything at WLM is that people have an email address set in their preferences. It happens often that they do not, and that causes problems down the line. When that is caught weeks later, it is too late as people are likely not checking the wiki.

Solution: a bot that detects on upload (as early as possible) that the uploader has not set his email, and leaves them a message on the talk page.

Event Timeline

JeanFred created this task.May 23 2018, 6:11 AM
Vvjjkkii renamed this task from Post message to WLM participants who have not registered an email address to 6gcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed JeanFred as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from 6gcaaaaaaa to Post message to WLM participants who have not registered an email address .Jul 2 2018, 3:57 PM
CommunityTechBot assigned this task to JeanFred.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)

I investigated this today. It’s doable via the API, and it’s implemented by Pywikibot as user.emailable()

However this would be much easier via database queries, so tentatively marking this as blocked by T70876: Make user_email_authenticated status visible on labs

Here is a draft message to be posted on the talk page:

I just threw the text together in 5 minutes ; would be awesome to get some proofreading. Then we can ask for translations.

Change 532798 had a related patch set uploaded (by Jean-Frédéric; owner: Jean-Frédéric):
[labs/tools/heritage@master] Add Python script checking and notify non-emailable users

https://gerrit.wikimedia.org/r/532798

MichaelMaggs added a comment.EditedAug 28 2019, 4:43 PM

I think the text needs some minor tweaks (not sure where to find it on wiki within the template structure):

It's not a requirement to provide an email address to enter the contest, only to win a prize. Many contestants don't provide an email as they just want to help Wikipedia and aren't interested in the prizes. We don't want to put those people off. Suggest the header should be changed to

"Please enable e-mail to be eligible to win a prize in Wiki Loves Monuments

Most entrants are new and don't understand Commons at all. They won't be able to follow the relatively complex instructions on the linked Commons page. By all means keep the link, but also set out really, really clearly what the user has to do. I suggest this:

"Thank you for uploading images for Wiki Loves Monuments!

However, we have noticed you have not enabled e-mail. To be eligible to win a prize, you must enable e-mail.

This is what you need to do:

  1. Check the top right of your screen, and log in if you have not done so already
  2. Click on Preferences in the top line
  3. Scroll down to Email Options
  4. Enter your email address and click "Allow other users to email me"
  5. Click Save"

I think the text needs some minor tweaks (not sure where to find it on wiki within the template structure):

Please edit the text directly at https://commons.wikimedia.org/w/index.php?title=Template:WLM-enable-email/i18n&action=edit :)

OK, done.

Thank you for the improvements! Much better now :)

Change 532798 merged by jenkins-bot:
[labs/tools/heritage@master] Add Python script checking and notify non-emailable users

https://gerrit.wikimedia.org/r/532798

Mentioned in SAL (#wikimedia-cloud) [2019-09-02T17:54:54Z] <JeanFred> Deploy latest from Git master: 33f4635, fd60416 (T195341)

Mentioned in SAL (#wikimedia-cloud) [2019-09-08T21:46:04Z] <JeanFred> Deploy latest from Git master: 5455f76, 07eebf8 (T195341), 3cb734b

Change 537475 had a related patch set uploaded (by Jean-Frédéric; owner: Jean-Frédéric):
[labs/tools/heritage@master] Add command-line flag to notify users in check_emailable_users.py

https://gerrit.wikimedia.org/r/537475

Change 537476 had a related patch set uploaded (by Jean-Frédéric; owner: Jean-Frédéric):
[labs/tools/heritage@master] Append message to talk page in

https://gerrit.wikimedia.org/r/537476

Change 537475 merged by jenkins-bot:
[labs/tools/heritage@master] Add command-line flag to notify users in check_emailable_users.py

https://gerrit.wikimedia.org/r/537475

Change 537476 merged by jenkins-bot:
[labs/tools/heritage@master] Append message to talk page in

https://gerrit.wikimedia.org/r/537476

Mentioned in SAL (#wikimedia-cloud) [2019-09-17T21:04:41Z] <JeanFred> Deploy latest from Git master: b068bd4, 9f625b6 (T195341), 799525d (T195341)

Mentioned in SAL (#wikimedia-cloud) [2019-09-17T21:04:41Z] <JeanFred> Deploy latest from Git master: b068bd4, 9f625b6 (T195341), 799525d (T195341)

Pfew, took me two weeks to actually test that script ; found a bug, fixed it, now we’d be good to go.

Example edit: https://commons.wikimedia.org/wiki/Special:Diff/366575667

Reedy renamed this task from Post message to WLM participants who have not registered an email address to Post message to WLM participants who have not registered an email address .Sep 17 2019, 9:11 PM

Ran check_emailable_users.py -category:"Images_from_Wiki_Loves_Monuments_2019" -delta:27360 -notify (to cover the last 18 days of competition. Took 4h.

There were 3454 uploaders in the last 27360 minutes...
...and 1139 non-emailable users

Mentioned in SAL (#wikimedia-cloud) [2019-09-18T20:52:52Z] <wm-bot> <jeanfred> check_emailable_users.py -category:"Images_from_Wiki_Loves_Monuments_2019" -delta:540 -notify (T195341)

Mentioned in SAL (#wikimedia-cloud) [2019-09-20T19:49:15Z] <wm-bot> <jeanfred> Added crontab (*/3 - every three minutes) for T195341

Lokal_Profil added a subscriber: Lokal_Profil.

Thanks for doing this!

JeanFred closed this task as Resolved.Feb 17 2020, 8:34 AM